## polymaps 2.5.1+ds1

=== Makefile ===
JS_FILES = \
	src/start.js \
	src/ns.js \
	src/Id.js \
	src/Svg.js \
	src/Transform.js \
	src/Cache.js \
	src/Url.js \
	src/Dispatch.js \
	src/Queue.js \
	src/Map.js \
	src/Layer.js \
	src/Image.js \
	src/GeoJson.js \
	src/Dblclick.js \
	src/Drag.js \
	src/Wheel.js \
	src/Arrow.js \
	src/Hash.js \
	src/Touch.js \
	src/Interact.js \
	src/Compass.js \
	src/Grid.js \
	src/Stylist.js \
	src/end.js

JS_COMPILER = \
	java -jar lib/google-compiler/compiler-20100616.jar \
	--charset UTF-8

all: polymaps.min.js polymaps.js

%.min.js: %.js
	$(JS_COMPILER) < $^ > $@

polymaps.min.js: polymaps.js
	rm -f $@
	$(JS_COMPILER) < polymaps.js >> $@

polymaps.js: $(JS_FILES) Makefile
	rm -f $@
	cat $(JS_FILES) >> $@
	chmod a-w $@

clean:
	rm -rf polymaps.js polymaps.min.js

=== debian/changelog ===
polymaps (2.5.1+ds1-1) unstable; urgency=low

  * Initial release

 -- David Paleino <dapal@debian.org>  Mon, 09 Apr 2012 23:19:56 +0200

=== debian/control ===
Source: polymaps
Section: web
Priority: extra
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: David Paleino <dapal@debian.org>
Build-Depends:
 debhelper (>= 8~)
 , node-uglify
Standards-Version: 3.9.3
Homepage: http://polymaps.org
Vcs-Git: git://git.debian.org/pkg-javascript/polymaps.git
Vcs-Browser: http://git.debian.org/?p=pkg-javascript/polymaps.git;a=summary

Package: libjs-polymaps
Architecture: all
Depends:
 ${misc:Depends}
Recommends:
 javascript-common
Description: JavaScript library for image- and vector-tiled maps
 Polymaps is a JavaScript library for making dynamic, interactive maps in
 modern web browsers.
 .
 Polymaps provides speedy display of multi-zoom datasets over maps, and
 supports a variety of visual presentations for tiled vector data, in
 addition to the usual cartography from OpenStreetMap, CloudMade, Bing, and
 other providers of image-based web maps.
 .
 Because Polymaps can load data at a full range of scales, it's ideal for
 showing information from country level on down to states, cities,
 neighborhoods, and individual streets.
 .
 Polymaps also uses SVG (Scalable Vector Graphics) to display information:
 for this reason you can use CSS rules to define the design of your data.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

ifndef UPVER
UPVER := $(shell dpkg-parsechangelog | grep ^Version | cut -d\  -f2 | cut -d+ -f1 | cut -d- -f1)
endif

%:
	dh $@

get-orig-source:
	uscan --verbose \
		--download-version $(UPVER) \
		--force-download \
		--rename \
		--destdir .

	tar xf polymaps_$(UPVER).orig.tar.gz
	@rm -rf \
		simplegeo-polymaps-*/lib/ \
		simplegeo-polymaps-*/examples/

	tar cf polymaps_$(UPVER)+ds1.orig.tar simplegeo-polymaps-*/
	gzip -9 polymaps_$(UPVER)+ds1.orig.tar
	rm -rf simplegeo-polymaps-*/ polymaps_$(UPVER).orig.tar.gz

=== debian/watch ===
version=3
opts=dversionmangle=s/\+ds\d// \
http://githubredir.debian.net/github/simplegeo/polymaps/v(\d+.*)\.tar\.gz
